Yate: CallAccount Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
CallAccount Class Reference

Settings for an account handling calls. More...

`#include <yatephone.h>`

## Public Member Functions
void | pickAccountParams (const NamedList &params)
void | setInboundParams (NamedList &params)
void | setOutboundParams (NamedList &params)
void | setRegisterParams (NamedList &params)
const NamedList & | inboundParams () const
const NamedList & | outboundParams () const
const NamedList & | registerParams () const

## Protected Member Functions
| CallAccount (Mutex *mutex)

## Detailed Description

Settings for an account handling calls.

This helper class holds generic account parameters that are applied to calls

## Constructor & Destructor Documentation

CallAccount | ( | Mutex * | mutex | ) |
| inlineprotected

Constructor

Parameters

  mutex | The mutex that is used to lock object's variables

## Member Function Documentation

const NamedList& inboundParams | ( |  | ) | const
| inline

Accessor for the inbound call parameters list

Returns
  Reference to the inbound call parameters

const NamedList& outboundParams | ( |  | ) | const
| inline

Accessor for the outbound call parameters list

Returns
  Reference to the outbound call parameters

void pickAccountParams | ( | const NamedList & | params | ) |

Make a copy of the inbound and outbound parameter templates

Parameters

  params | List of parameters to copy from

const NamedList& registerParams | ( |  | ) | const
| inline

Accessor for the registration parameters list

Returns
  Reference to the registration parameters

void setInboundParams | ( | NamedList & | params | ) |

Patch the inbound call parameters

Parameters

  params | List of parameters to be patched

void setOutboundParams | ( | NamedList & | params | ) |

Patch the outbound call parameters

Parameters

  params | List of parameters to be patched

void setRegisterParams | ( | NamedList & | params | ) |

Patch registration parameters

Parameters

  params | List of parameters to be patched

The documentation for this class was generated from the following file:

- yatephone.h